/* Stuff needed for buttons and dialogs */

svg {
  fill: none;
  stroke: black;
}

body {
  margin: 0px;
  font-family: Arial, Helvetica, sans-serif;
}

article {
  padding: 20px;
}

.modal-open {
  overflow: hidden;
}

.eni-dialog-header {
  flex: 0 0 auto;
  padding: 10px;
  background-color: rgba(200, 200, 200, 1.0);
}

.eni-dialog-content {
  overflow: auto;
  flex: 1 1 auto;
  display: block;
  position: relative;
  align-items: center;
  justify-content: center;
  flex-direction: column;

  padding: 10px;
}

.eni-dialog-footer {
  flex: 0 0 auto;
  background-color: rgba(200, 200, 200, 1.0);
}

.eni-modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
  align-items: center;
  justify-content: center;
}

.eni-dialog {
  display:flex;
  flex-direction: column;
  padding: 0;
  overflow: hidden;
  border: 1px solid #888;
  background-color: #fff;
  box-shadow: 5px 5px 3px rgba(0, 0, 0, 0.4);
  border-radius: 5px;
  max-height: calc(100% - 100px);
  max-width: calc(100% - 100px);
}

/* Pop-up menu */
.popup-blanket {
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  z-index: 100;
  overflow: hidden;
}

.popup-menu {
  box-shadow: 5px 5px 3px rgba(0, 0, 0, 0.4);
  position: absolute;
  max-width: 50vw;
  max-height: 80vh;
  overflow: scroll;
  min-width: 20px;
  min-height: 20px;
  background-color: #f9f9f9;
}

.popup-menu-entry {
  color: green;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  text-align: left;
  cursor: pointer;
}

.popup-menu-entry > * {
  vertical-align: middle;
}

.popup-menu-entry:hover {
  background: #ff0;
}

/* default button */
input[type=submit]:disabled,
button:disabled {
  background-color: #80aa80;
  cursor: not-allowed;
}

input[type=submit]:disabled:hover,
button:disabled:hover {
  background-color: #80aa80;
  cursor: not-allowed;
}

input[type=submit],
.button,
button {
  transition-duration: 0.2s;
  background-color: #4CAF50;
  border: none;
  color: white;
  padding: 10px 18px;
  margin: 2px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  min-width: 8em;
  font-size: 16px;
}

.button:hover,
button:hover {
  background-color: #6CCF80; /* Green */
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

button.small {
  font-size: 11px;
  padding: 8px 10px;
}

.right {
  float: right;
}


label,
label > span {
  font-weight: 700;
  font-size: smaller;
  display: block;
}

label.inline {
  display: inline;
}

/* Checkbox */

input[type=checkbox] {
  visibility: hidden;
}

.checkbox {
  min-width: 25px;
  margin: 10px 10px;
  position: relative;
  display: inline-block;
}

.checkbox label {
  cursor: pointer;
  position: absolute;
  min-width: 25px;
  min-height: 25px;
  top: 0;
  left: 0;
  background: #eee;
  border: 1px solid #ddd;
}

.checkbox label > span {
  cursor: pointer;
  position: absolute;
  vertical-align: middle;
  top: 0;
  font-size: 25px;
  line-height: 25px;
  left: 35px;
  /*width: 300px;*/
}

.checkbox label:after {
  opacity: 0;
  content: '';
  position: absolute;
  width: 9px;
  height: 5px;
  background: transparent;
  top: 6px;
  left: 7px;
  border: 3px solid #333;
  border-top: none;
  border-right: none;
  transform: rotate(-45deg);
}

.checkbox input[type=checkbox]:checked + label:after {
  opacity: 1;
}